# Generated by Django 2.2.12 on 2020-06-10 03:20

from decimal import Decimal

import django.core.validators
import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("invoices", "0005_auto_20200605_0037"),
    ]

    operations = [
        migrations.CreateModel(
            name="Item",
            fields=[
                ("uid", models.AutoField(primary_key=True, serialize=False)),
                ("description", models.CharField(max_length=96)),
                ("hours", models.PositiveSmallIntegerField(blank=True, null=True)),
                (
                    "rate",
                    models.DecimalField(
                        blank=True,
                        decimal_places=2,
                        max_digits=6,
                        null=True,
                        validators=[
                            django.core.validators.MinValueValidator(Decimal("0.00"))
                        ],
                    ),
                ),
                (
                    "amount",
                    models.DecimalField(
                        decimal_places=2,
                        max_digits=8,
                        validators=[
                            django.core.validators.MinValueValidator(Decimal("0.00"))
                        ],
                    ),
                ),
            ],
        ),
        migrations.RenameField(
            model_name="invoice", old_name="guid", new_name="invoice_id",
        ),
        migrations.RemoveField(model_name="invoice", name="hourly_rate",),
        migrations.AlterField(
            model_name="invoice",
            name="status",
            field=models.PositiveSmallIntegerField(default=0),
        ),
        migrations.DeleteModel(name="InvoiceItem",),
        migrations.AddField(
            model_name="item",
            name="invoice",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                related_name="items",
                to="invoices.Invoice",
            ),
        ),
    ]
